﻿using DTO;
using Entities;
using Model;

namespace API_LoL_Project.Mapper
{
    public static class ChampionMapper { 
    
        public static ChampionDTO ToDTO(this Champion item)
        {
            if (item == null)
            {
                var message = string.Format("Champion with name = {} nhhoddt found", item.Name);
                /*throw new HttpResponseException(Request.CreateErrorResponse(HttpStatusCode.NotFound, message));
            */
            }
            return new ChampionDTO() {
                Name = item.Name,
                Bio = item.Bio
            };
        }

        public static ChampionEntity ToEntity(this Champion item)
        {
            return new()
            {
                Name = item.Name,
                Bio = item.Bio,
                Icon = item.Icon,
                Class = item.Class,
                Image = new() { Base64 = item.Image.Base64 },
            };
        }
         public static ChampionFullDTO toFullDTO(this Champion item)
        {
            if (item == null)
            {
                var message = string.Format("Champion with name = {} nhhoddt found", item.Name);
                /*throw new HttpResponseException(Request.CreateErrorResponse(HttpStatusCode.NotFound, message));
            */
            }
            return new ChampionFullDTO()
            {
                Name = item.Name,
                Bio = item.Bio,
                skills = item.Skills,
                skins = item.Skins,
                LargeImage = item.Image.Base64

            };
            
    }


        public static Champion ToModel(this ChampionDTO dto)
        {
            if (dto == null)
            {
                var message = string.Format("Champion with name = {} nhhoddt found", dto.Name);
                /*throw new HttpResponseException(Request.CreateErrorResponse(HttpStatusCode.NotFound, message));
            */}
            return new(dto.Name);
        }

        public static Champion ToModel(this ChampionEntity entity)
        {
            return new(entity.Name, entity.Class, entity.Icon, entity.Image.Base64, entity.Bio);
        }

       

    }
}
