﻿using Entities;
using Microsoft.EntityFrameworkCore;
using Model;

namespace EntityMapper
{
    public static class SkinMapper
    {
        public static SkinEntity ToEntity(this Skin item, LolDbContext? context = null)
        {
            return new()
            {
                Name = item.Name,
                Champion = context?.champions.Find(item.Champion.Name) ?? item.Champion.ToEntity(context),
                ChampionForeignKey = item.Champion.Name,
                Description = item.Description,
                Icon = item.Icon,
                Image = null,
                Price = item.Price
            };
        }


        public static Skin ToModel(this SkinEntity entity)
        => new(entity.Name, entity.Champion.ToModel(), entity.Price, null, entity.Description);

    }
}
